Spatial and Java SDK 2.0.1


#1

Anyone has examples on how to do spatial view with the new Java SDK 2.0.1?

ViewQuery does not seem to have from function for spatial views.

I’m thinking about migrating to Java SDK 2.0.1 from 1.4.x, so hoping that I can do straight move and use just Java SDK 2.0.1 rather than having to use both java client versions: version 1.x for spatial, and version 2.x for everything elsh

Thanks all!


#2

Hi @coder_lol,

good and bad news for you: the 2.0 SDK has indeed no geo query functionality, and it always was experimental (even in the old one).

We intend to bring it back with 2.1 officially supported, because we also greatly enhanced it on the server. So for now if you want to use it experimentally you need to stick with 1.4, and then upgrade once we get out 2.1 (which doesn’t have a fixed release date yet, but end of the year/january probably).

If you are interested in, I’m planning to work on this soon and I can get you prebuilds once available for testing.


#3

Hello. I am also interested in understanding of when Geo spatial support will be back available in java SDK. It does not make sense to have spatial view(s) created on server 3.0 version can’t use it in SDK 2.0.


#4

Spatial will make its way into Java 2.1 early next year. Until then, please use the 1.4 SDK but note that is still experimental on the server side as well and things may change.

We have concrete plans for that next year so be on the look for announcements!


#5

Hi Michael - Is spatial view supported in Java SDK 2.1.3? Any good sample that i can use as reference. Thanks


#6

@badrictl official support will come with 2.2.0 java and the 4.0 GA server, but it should work with 3.0.3 and 2.1.3 java as experimental. We have some docs here: http://docs.couchbase.com/developer/java-2.1/querying-views.html with more to come in the 2.2 timeframe.

Also, if you run into specific questions @vmx will be able to help you out.


#7

Thank you, daschl. I will check with vmx